/**
 * Extend the default type for Ext.grid.column in order to render JSON object.
 *
 * @since 0.4.15.0
 *
 */
Ext.define('App.grid.column.Json', {

    extend: 'Ext.grid.column.Column',
    alias: 'widget.jsoncolumn',

    /**
     * @param {Object} value
     * @hide
     */
    defaultRenderer: function (value) {
        "use strict";
        return Ext.JSON.encode(value);
    }
});
