/**
 * picker.js
 *
 * Script to test picker field displaying a TextArea
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.form.Panel');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.form.field.TextPicker');

Ext.onReady(function(){

    "use strict";

    var form;

    Ext.QuickTips.init();

    form = Ext.create('Ext.form.Panel', {
        title: 'Dict',
        bodyPadding: 5,
        width: 350,
        height: 450,
        layout: 'anchor',
        defaults: {
            anchor: '100%'
        },
        items: [{
            fieldLabel: 'MyText',
            xtype: 'textfield'
        }, {
            fieldLabel: 'MyPicker',
            xtype: 'xtextpicker'
        }],
        renderTo: Ext.getBody()
    });

});
