/**
 * form_1.js
 *
 * To test and debug form.
 *
 */

/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;

	console.log("Model items");
	console.dir(model.items);

	// create the form	
	var form = new App.form.FormPanel({
		items: model.items,
		width: 400,
	});

	//console.dir(form);
	form.buttonUpdate.on('click', function(){
		var r = this.getFieldValues();
		console.log("Values in form");
		console.dir(r);
	}, form.getForm());	

	form.render('appmain');

	// create a store mimicking rpm table	
	var myData = [
		[1, 2, 3, 'add', 'foo'],
		[2, 5, 2, 'del', 'faa'],
	];
	
	var store = new Ext.data.ArrayStore({
        fields: [
			{name: 'id', type: 'int'},
			{name: 'idcategory', type: 'int'},
			{name: 'iddistribution', type: 'int'},
			{name: 'list'},
			{name: 'rpm'}]
	});

	store.loadData(myData);
	
	//load a row in the form
	form.getForm().loadRecord(store.getAt(1));
	form.showButtonUpdate();
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request form models from the server
	cfgSvc.getFormModel('rpms', main)

});